Bug 1254897 - Not configuring neutron mechanism drivers in any puppet based deploys
Not configuring neutron mechanism drivers in any puppet based deploys
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: y1
: 7.0 (Kilo)
Assigned To: marios
Marius Cornea
Alexander Chuzhoy
: Triaged, ZStream
: 1261054 (view as bug list)
Depends On:
Blocks: 1261045
  Show dependency treegraph
 
Reported: 2015-08-19 04:07 EDT by marios
Modified: 2015-10-08 08:16 EDT (History)
9 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.6-52.el7ost
Doc Type: Bug Fix
Doc Text:
Overcloud deployments did not consume nor affect the Neutron mechanism driver parameter passed as hiera data from the corresponding Heat template. This meant Overcloud deployments contained an unexpected Neutron configuration, with both openvswitch and linuxbridge configured as mechanism_drivers in /etc/neutron/plugins/ml2/ml2_conf.ini as such: mechanism_drivers = openvswitch,linuxbridge This fix ensures the Overcloud deployment correctly consumes the neutron_mechanism_drivers hiera data item passed from the Heat templates and sets this in the Meutron ml2 configuration on the controller node. You can also specify the NeutronMechanismDrivers Heat template parameter and as a custom parameter and expect the corresponding ml2 configuration for Neutron.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 08:16:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 214649 None None None Never

  None (edit)
Description marios 2015-08-19 04:07:28 EDT
Description of problem:
Neutron Mechanism Drivers for the overcloud aren't configured. I don't know if this is bug worthy but filing this so it can be tracked (looked at this thanks to Tim Swanson comments @ [1]).

The tripleo heat templates say 'openvswitch' for the default for this value (description of what this config is at [2]). Whilst we do correctly set the hiera data passed to puppet, we don't consume it, meaning the deployment config is like:

./plugin.ini:20:mechanism_drivers =openvswitch,linuxbridge
./plugins/ml2/ml2_conf.ini:20:mechanism_drivers =openvswitch,linuxbridge

which is the puppet-neutron module default. Even though we end up with correct behaviour (since afaik we've only ever used openvswitch for ml2 here) I think the bug is the expectation that the config item is configurable via the tripleo heat template param, which it is not in reality (tripleo image element deploys do consume and set this in the pass though data)

[1] https://review.openstack.org/#/c/198754/10
[2] http://docs.openstack.org/kilo/config-reference/content/networking-options-plugins-ml2.html

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. deploy an overcloud, try to set NeutronMechanismDrivers (or even just leave the default, which is 'openvswitch')
2. [root@overcloud-controller-0 ~]# grep -rn 'mechanism_drivers' /etc/neutron/*
3. profit  ("=openvswitch,linuxbridge")

Actual results:
./plugins/ml2/ml2_conf.ini:20:mechanism_drivers =openvswitch,linuxbridge

Expected results:
Would expect the mechanism_driver to be set to 'openvswitch' only as that is the tht default

Additional info:
Comment 3 marios 2015-08-19 10:45:36 EDT
literally one line fixup https://review.openstack.org/#/c/214649/
Comment 4 marios 2015-08-24 13:12:07 EDT
upstream bug at https://bugs.launchpad.net/tripleo/+bug/1488176
Comment 7 Jiri Stransky 2015-09-08 09:55:17 EDT
*** Bug 1261054 has been marked as a duplicate of this bug. ***
Comment 9 Alexander Chuzhoy 2015-09-22 10:57:33 EDT
Verified:


Environment:
openstack-tripleo-heat-templates-0.8.6-64.el7ost.noarch

grep -rn ^mechanism_drivers /etc/neutron/plugins
/etc/neutron/plugins/ml2/ml2_conf.ini:20:mechanism_drivers =openvswitch

The mechanism_driver is set to 'openvswitch' only as expected.
Comment 11 errata-xmlrpc 2015-10-08 08:16:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Note You need to log in before you can comment on or make changes to this bug.